<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'movie',

    /*
     * Modules.
     */
    'modules'   => ['movie'],

    
    'movie'       => [
        'model' => [
            'model' => \Litecms\Movie\Models\Movie::class,
            'repository' => \Litecms\Movie\Repositories\Eloquent\MovieRepository::class,
            'table' => 'movies',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => [],
            'translatables' => [],
            'upload_folder' => 'movie/movie',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Movie',
            'module' => 'Movie',
        ],
    ],
];
