<?php

namespace Litecms\Movie\Seeders;

use DB;
use Illuminate\Database\Seeder;

class MovieTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('movies')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'movie.movie.view',
                'name'      => 'View Movie',
            ],
            [
                'slug'      => 'movie.movie.create',
                'name'      => 'Create Movie',
            ],
            [
                'slug'      => 'movie.movie.edit',
                'name'      => 'Update Movie',
            ],
            [
                'slug'      => 'movie.movie.delete',
                'name'      => 'Delete Movie',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'movie.movie.verify',
                'name'      => 'Verify Movie',
            ],
            [
                'slug'      => 'movie.movie.approve',
                'name'      => 'Approve Movie',
            ],
            [
                'slug'      => 'movie.movie.publish',
                'name'      => 'Publish Movie',
            ],
            [
                'slug'      => 'movie.movie.unpublish',
                'name'      => 'Unpublish Movie',
            ],
            [
                'slug'      => 'movie.movie.cancel',
                'name'      => 'Cancel Movie',
            ],
            [
                'slug'      => 'movie.movie.archive',
                'name'      => 'Archive Movie',
            ],
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/movie/movie',
                'name'        => 'Movie',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/movie/movie',
                'name'        => 'Movie',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'movie',
                'name'        => 'Movie',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Movie',
                'module'    => 'Movie',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'movie.movie.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
