Lavalite package that provides movie management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/movie`.

    "litecms/movie": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Movie\Providers\MovieServiceProvider::class,

And also add it to alias

    'Movie'  => Litecms\Movie\Facades\Movie::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Movie\\Seeders\\MovieTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Movie\Providers\MovieServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Movie\Providers\MovieServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Movie\Providers\MovieServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/movie/{modulename}

**User**

    http://path-to-route-folder/user/movie/{modulename}

**Public**

    http://path-to-route-folder/movies


### API endpoints

**List**

    http://path-to-route-folder/api/user/movie/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/movie/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/movie/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/movie/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/movie/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/movie/{modulename}/{slug}
    METHOD: GET