<?php

namespace Litecms\Movie\Repositories\Eloquent;

use Litecms\Movie\Interfaces\MovieRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Movie\Repositories\Eloquent\Presenters\MovieItemPresenter;


class MovieRepository extends BaseRepository implements MovieRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.movie.movie.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.movie.movie.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return MovieItemPresenter::class;
    }
}
